Bug 178462 - editors/hexedit update to 1.2.13 and fix dead mirror
Summary: editors/hexedit update to 1.2.13 and fix dead mirror
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-09 21:00 UTC by olevole
Modified: 2013-06-07 00:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.61 KB, patch)
2013-05-09 21:00 UTC, olevole
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olevole 2013-05-09 21:00:00 UTC
Update to last version, set license and include ports/175447 PR for fix broken mirror.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-05-09 21:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2013-06-06 23:26:07 UTC
Responsible Changed
From-To: obrien->wg

I'll take it.
Comment 3 William Grzybowski freebsd_committer 2013-06-06 23:50:00 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-06-06 23:50:03 UTC
Author: wg
Date: Thu Jun  6 22:49:51 2013
New Revision: 320142
URL: http://svnweb.freebsd.org/changeset/ports/320142

Log:
  - Update to 1.2.13 [1]
  - Add LICENSE (GPLv2) [1]
  - Fix MASTER_SITES [2]
  - Update WWW to new site
  - Unmute install commands
  
  PR:		ports/178462 [1]
  Submitted by:	Oleg Ginzburg <olevole@olevole.ru> [1]
  PR:		ports/175447 [2]
  Submitted by:	Sean DuBois <sean@siobud.com> [2]
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer (timeout)

Deleted:
  head/editors/hexedit/files/patch-hexedit.h
Modified:
  head/editors/hexedit/Makefile
  head/editors/hexedit/distinfo
  head/editors/hexedit/pkg-descr

Modified: head/editors/hexedit/Makefile
==============================================================================
--- head/editors/hexedit/Makefile	Thu Jun  6 22:31:15 2013	(r320141)
+++ head/editors/hexedit/Makefile	Thu Jun  6 22:49:51 2013	(r320142)
@@ -1,30 +1,26 @@
-# ex:ts=8
-# New ports collection makefile for:	hexedit
-# Date created:				5 August 1998
-# Whom:					Andrey Zakhvatov
-#
+# Created by: Andrey Zakhvatov
 # $FreeBSD$
-#
 
 PORTNAME=	hexedit
-PORTVERSION=	1.2.12
+PORTVERSION=	1.2.13
 CATEGORIES=	editors
-MASTER_SITES=	http://people.mandriva.com/~prigaux/ \
-		${MASTER_SITE_LOCAL:S/$/:local/}
-MASTER_SITE_SUBDIR=	obrien/:local
-DISTFILES=	${DISTNAME}.src.tgz:DEFAULT,local
+MASTER_SITES=	http://rigaux.org/
+DISTFILES=	${DISTNAME}.src.tgz
 
 MAINTAINER=	obrien@FreeBSD.org
 COMMENT=	View and edit files in hexadecimal or ASCII
 
+LICENSE=	GPLv2
+
 WRKSRC=		${WRKDIR}/${DISTNAME:S/-${PORTVERSION}//}
+
 GNU_CONFIGURE=	yes
 MAN1=		hexedit.1
 
 PLIST_FILES=	bin/hexedit
 
 do-install:
-	@ ${INSTALL_PROGRAM} ${WRKSRC}/hexedit ${PREFIX}/bin
-	@ ${INSTALL_MAN} ${WRKSRC}/hexedit.1 ${PREFIX}/man/man1
+	${INSTALL_PROGRAM} ${WRKSRC}/hexedit ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/hexedit.1 ${PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/editors/hexedit/distinfo
==============================================================================
--- head/editors/hexedit/distinfo	Thu Jun  6 22:31:15 2013	(r320141)
+++ head/editors/hexedit/distinfo	Thu Jun  6 22:49:51 2013	(r320142)
@@ -1,2 +1,2 @@
-SHA256 (hexedit-1.2.12.src.tgz) = bcffbf3d128516cc4e1da64485866fbb5f62754f2af8327e7a527855186ba10f
-SIZE (hexedit-1.2.12.src.tgz) = 65802
+SHA256 (hexedit-1.2.13.src.tgz) = 6a126da30a77f5c0b08038aa7a881d910e3b65d13767fb54c58c983963b88dd7
+SIZE (hexedit-1.2.13.src.tgz) = 68778

Modified: head/editors/hexedit/pkg-descr
==============================================================================
--- head/editors/hexedit/pkg-descr	Thu Jun  6 22:31:15 2013	(r320141)
+++ head/editors/hexedit/pkg-descr	Thu Jun  6 22:49:51 2013	(r320142)
@@ -1,8 +1,8 @@
 Hexedit	view and edit files in hexadecimal or in ASCII.
-hexedit shows a file both in ASCII and in hexadecimal. 
-The file can be a device as the file is not whole read. 
+hexedit shows a file both in ASCII and in hexadecimal.
+The file can be a device as the file is not whole read.
 You can modify the file and search through it.
 You have also copy&paste, and save to file functions.
 Modifications are shown in bold.
 
-WWW: http://merd.sourceforge.net/pixel/
+WWW: http://rigaux.org/hexedit.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"